org.apache.tomcat

## Interface InstanceManager

- All Known Implementing Classes:
    DefaultInstanceManager

      public interface InstanceManager

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroyInstance(java.lang.Object o)`
    `java.lang.Object` | `newInstance(java.lang.Class<?> clazz)`
    `void` | `newInstance(java.lang.Object o)`
    `java.lang.Object` | `newInstance(java.lang.String className)`
    `java.lang.Object` | `newInstance(java.lang.String fqcn, java.lang.ClassLoader classLoader)`

- - ### Method Detail

    - #### newInstance

          java.lang.Object newInstance(java.lang.Class<?> clazz)
                                       throws java.lang.IllegalAccessException,
                                              java.lang.reflect.InvocationTargetException,
                                              javax.naming.NamingException,
                                              java.lang.InstantiationException

      Throws:
        `java.lang.IllegalAccessException`
        `java.lang.reflect.InvocationTargetException`
        `javax.naming.NamingException`
        `java.lang.InstantiationException`

    - #### newInstance

          java.lang.Object newInstance(java.lang.String className)
                                       throws java.lang.IllegalAccessException,
                                              java.lang.reflect.InvocationTargetException,
                                              javax.naming.NamingException,
                                              java.lang.InstantiationException,
                                              java.lang.ClassNotFoundException

      Throws:
        `java.lang.IllegalAccessException`
        `java.lang.reflect.InvocationTargetException`
        `javax.naming.NamingException`
        `java.lang.InstantiationException`
        `java.lang.ClassNotFoundException`

    - #### newInstance

          java.lang.Object newInstance(java.lang.String fqcn,
                                     java.lang.ClassLoader classLoader)
                                       throws java.lang.IllegalAccessException,
                                              java.lang.reflect.InvocationTargetException,
                                              javax.naming.NamingException,
                                              java.lang.InstantiationException,
                                              java.lang.ClassNotFoundException

      Throws:
        `java.lang.IllegalAccessException`
        `java.lang.reflect.InvocationTargetException`
        `javax.naming.NamingException`
        `java.lang.InstantiationException`
        `java.lang.ClassNotFoundException`

    - #### newInstance

          void newInstance(java.lang.Object o)
                           throws java.lang.IllegalAccessException,
                                  java.lang.reflect.InvocationTargetException,
                                  javax.naming.NamingException

      Throws:
        `java.lang.IllegalAccessException`
        `java.lang.reflect.InvocationTargetException`
        `javax.naming.NamingException`

    - #### destroyInstance

          void destroyInstance(java.lang.Object o)
                               throws java.lang.IllegalAccessException,
                                      java.lang.reflect.InvocationTargetException

      Throws:
        `java.lang.IllegalAccessException`
        `java.lang.reflect.InvocationTargetException`

Copyright © 2000-2015 Apache Software Foundation. All Rights Reserved.